Page MenuHomePhabricator

Paginate all the things
Closed, ResolvedPublic0 Story Points

Description

List of collections for admins is limited to 10

This is a big issue, as we cannot adequately monitor any lists if >=10 lists have been modified since then.
Currently we only show the first 50 things. People might want to show more things!

Add pagination to

  • GatherLists
  • a collection on Special:Gather
  • a list of collections on Special:Gather

Event Timeline

JKatzWMF assigned this task to Jdlrobson.
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a project: Gather.
JKatzWMF added subscribers: JKatzWMF, Yurik.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2015, 12:12 AM
Jdlrobson added subscribers: aaron, Jdlrobson.

I flagged this an issue before. Without pagination this is not good enough (but in mean time we can use api to moderate where necessary) :)

@Jdlrobson: ok thanks! made a shitty python script to pull all collections
for now...but it literally just pprints the results.

Jhernandez set Security to None.
Jhernandez moved this task from In Analysis to Ready for dev on the Gather Sprint Enwiki board.
Jdlrobson updated the task description. (Show Details)Mar 31 2015, 2:54 PM

Shoot merged in wrong direction

Jdlrobson renamed this task from List of collections for admins is limited to 10 to Paginate all the things.Mar 31 2015, 2:55 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson edited a custom field.
Yurik added a comment.Mar 31 2015, 6:16 PM

How do you plan to implement pagination in general? API should be the one returning a set of pages and a way to continue. Going forwad is easy, going backwards is a bit more difficult, but duable.

Change 200943 had a related patch set uploaded (by Jdlrobson):
Add pagination to Special:GatherList

https://gerrit.wikimedia.org/r/200943

Change 201046 had a related patch set uploaded (by Jdlrobson):
Pagination collection itself

https://gerrit.wikimedia.org/r/201046

Jdlrobson updated the task description. (Show Details)Mar 31 2015, 10:05 PM
Jdlrobson moved this task from In development to Code review needed on the Gather Sprint Enwiki board.

Change 201045 had a related patch set uploaded (by Jhernandez):
Add pagination on Special:Gather for list of collections

https://gerrit.wikimedia.org/r/201045

Change 200943 merged by jenkins-bot:
Add pagination to Special:GatherList

https://gerrit.wikimedia.org/r/200943

Change 201045 merged by jenkins-bot:
Add pagination on Special:Gather for list of collections

https://gerrit.wikimedia.org/r/201045

Change 201046 merged by jenkins-bot:
Pagination of collection itself

https://gerrit.wikimedia.org/r/201046

Merged patches, added styling along the way (progressive centered button) and extracted the html to views\Pagination (really small).

Jdlrobson moved this task from Needs triage to Product triage on the Gather board.Apr 2 2015, 3:31 PM
Jdlrobson moved this task from Product triage to In sprint on the Gather board.Apr 2 2015, 4:02 PM
JKatzWMF closed this task as Resolved.Apr 2 2015, 11:55 PM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Enwiki board.
JKatzWMF edited a custom field.

Just removed points from this (3) since it appears to be identical to T93426 (which has 3 points)

aaron removed a subscriber: aaron.Apr 6 2015, 5:17 PM